TICKIT_RENDERBUFFER_FLUSH_TO_TERM(3)

NAME
tickit_renderbuffer_flush_to_term - output buffer contents to the terminal

SYNOPSIS
    #include <tickit.h>

    void tickit_renderbuffer_flush_to_term(TickitRenderBuffer *rb, TickitTerm *tt);

Link with -ltickit.

DESCRIPTION
tickit_renderbuffer_flush_to_term() outputs the entire stored state in the buffer to the terminal, then resets the buffer back to its initial state. Stored content is output in a strictly top-to-bottom, left-to-right order, ensuring a minimal amount of cursor movement for efficiency, and helping to reduce output flicker on the terminal display.

RETURN VALUE
This function returns nothing.

SEE ALSO
tickit_renderbuffer_new(3), tickit_renderbuffer_reset(3), tickit_renderbuffer(7), tickit(7)